﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using ModrinkyWebApp.Models;
using ModrinkyWebApp.Models.Repositare;
using ModrinkyWebApp.ViewModels;

using SendGrid.Helpers.Mail;
using SendGrid;

namespace ModrinkyWebApp.Controllers
{
    [Authorize]
    public class RegistraceController : Controller
    {
        private readonly IUzivatelRepository uzivatelRepository;

        public RegistraceController(IUzivatelRepository uzivatelRepository)
        {
            this.uzivatelRepository = uzivatelRepository;
        }
        //metoda slouzici k dokonceni registrace - pro odeslani e-mailu s vygenerovanym heslem
        public IActionResult Dokonceni(Guid id, string password)
        {

            Uzivatel uzivatel = uzivatelRepository.UzivatelPodleId(id);

            
            RegistracniMail(uzivatel, password).Wait();
            if (uzivatel.RoleId == 1)
            {
                return RedirectToAction("PridaniDruzinyUzivateli", "Uzivatele", new { id });

            }
            else
                return RedirectToAction("SeznamUzivatelu", "Uzivatele");

        }

        static async Task RegistracniMail(Uzivatel uzivatel, string password)
        {
            var apiKey = "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";
            var client = new SendGridClient(apiKey);
            var from = new EmailAddress("modrinkytabor@seznam.cz");
            var to = new EmailAddress(uzivatel.Email);
            var subject = "Registrace na webu Modřinky Tábor";
            var htmlTextContent = "Dobrý den, ahoj \n \n právě byl vytvořen nový účet na stránkách <a href=https://modrinkytabor.azurewebsites.net/> 9. oddílu Modřinky</a> na tuto emailovou adresu. \n" +
            "Přihlašovací údaje jsou: \n\n email = " + uzivatel.Email+ "\n" + "heslo = " + password + "\n \n" + "Heslo je automaticky generované a na stránkách si ho můžete změnit.";
          
            var msg = MailHelper.CreateSingleEmail
                (
                from, to, subject, null, htmlTextContent
                );
            var response = await client.SendEmailAsync(msg);
        }
    }
}