﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace ModrinkyWebApp.Migrations
{
    public partial class inicializace : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "AspNetRoles",
                columns: table => new
                {
                    Id = table.Column<Guid>(nullable: false),
                    Name = table.Column<string>(maxLength: 256, nullable: true),
                    NormalizedName = table.Column<string>(maxLength: 256, nullable: true),
                    ConcurrencyStamp = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetRoles", x => x.Id);
                });

            migrationBuilder.CreateTable(
                name: "ClenArchiv",
                columns: table => new
                {
                    ClenArchivId = table.Column<Guid>(nullable: false),
                    KrestniJmeno = table.Column<string>(nullable: true),
                    Prijmeni = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_ClenArchiv", x => x.ClenArchivId);
                });

            migrationBuilder.CreateTable(
                name: "Druzina",
                columns: table => new
                {
                    DruzinaId = table.Column<int>(nullable: false)
                        .Annotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn),
                    Nazev = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Druzina", x => x.DruzinaId);
                });

            migrationBuilder.CreateTable(
                name: "Role",
                columns: table => new
                {
                    RoleId = table.Column<int>(nullable: false)
                        .Annotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn),
                    Nazev = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Role", x => x.RoleId);
                });

            migrationBuilder.CreateTable(
                name: "AspNetRoleClaims",
                columns: table => new
                {
                    Id = table.Column<int>(nullable: false)
                        .Annotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn),
                    RoleId = table.Column<Guid>(nullable: false),
                    ClaimType = table.Column<string>(nullable: true),
                    ClaimValue = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetRoleClaims", x => x.Id);
                    table.ForeignKey(
                        name: "FK_AspNetRoleClaims_AspNetRoles_RoleId",
                        column: x => x.RoleId,
                        principalTable: "AspNetRoles",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "Uzivatel",
                columns: table => new
                {
                    Id = table.Column<Guid>(nullable: false),
                    UserName = table.Column<string>(maxLength: 256, nullable: true),
                    NormalizedUserName = table.Column<string>(maxLength: 256, nullable: true),
                    Email = table.Column<string>(maxLength: 256, nullable: true),
                    NormalizedEmail = table.Column<string>(maxLength: 256, nullable: true),
                    EmailConfirmed = table.Column<bool>(nullable: false),
                    PasswordHash = table.Column<string>(nullable: true),
                    SecurityStamp = table.Column<string>(nullable: true),
                    ConcurrencyStamp = table.Column<string>(nullable: true),
                    PhoneNumber = table.Column<string>(nullable: true),
                    PhoneNumberConfirmed = table.Column<bool>(nullable: false),
                    TwoFactorEnabled = table.Column<bool>(nullable: false),
                    LockoutEnd = table.Column<DateTimeOffset>(nullable: true),
                    LockoutEnabled = table.Column<bool>(nullable: false),
                    AccessFailedCount = table.Column<int>(nullable: false),
                    KrestniJmeno = table.Column<string>(maxLength: 50, nullable: false),
                    Prijmeni = table.Column<string>(maxLength: 50, nullable: false),
                    RoleId = table.Column<int>(nullable: false),
                    DruzinaId = table.Column<int>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Uzivatel", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Uzivatel_Druzina_DruzinaId",
                        column: x => x.DruzinaId,
                        principalTable: "Druzina",
                        principalColumn: "DruzinaId",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_Uzivatel_Role_RoleId",
                        column: x => x.RoleId,
                        principalTable: "Role",
                        principalColumn: "RoleId",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "Akce",
                columns: table => new
                {
                    AkceId = table.Column<Guid>(nullable: false),
                    Nazev = table.Column<string>(maxLength: 100, nullable: false),
                    KratkyPopis = table.Column<string>(maxLength: 500, nullable: false),
                    DlouhyPopis = table.Column<string>(maxLength: 10000, nullable: false),
                    DenKonani = table.Column<int>(nullable: false),
                    MesicKonani = table.Column<string>(nullable: false),
                    RokKonani = table.Column<int>(nullable: false),
                    MesicKonaniCiselne = table.Column<int>(nullable: false),
                    Stitek = table.Column<string>(nullable: true),
                    AutorId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Akce", x => x.AkceId);
                    table.ForeignKey(
                        name: "FK_Akce_Uzivatel_AutorId",
                        column: x => x.AutorId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "AkceArchiv",
                columns: table => new
                {
                    AkceArchivId = table.Column<Guid>(nullable: false),
                    Nazev = table.Column<string>(nullable: true),
                    KratkyPopis = table.Column<string>(nullable: true),
                    DlouhyPopis = table.Column<string>(nullable: true),
                    DenKonani = table.Column<int>(nullable: true),
                    MesicKonani = table.Column<string>(nullable: true),
                    RokKonani = table.Column<int>(nullable: true),
                    Stitek = table.Column<string>(nullable: true),
                    AutorId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AkceArchiv", x => x.AkceArchivId);
                    table.ForeignKey(
                        name: "FK_AkceArchiv_Uzivatel_AutorId",
                        column: x => x.AutorId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "Aktualita",
                columns: table => new
                {
                    AktualitaId = table.Column<Guid>(nullable: false),
                    Nazev = table.Column<string>(maxLength: 100, nullable: false),
                    Text = table.Column<string>(maxLength: 1000, nullable: false),
                    Datum = table.Column<DateTime>(nullable: false),
                    DenNapsani = table.Column<int>(nullable: true),
                    MesicNapsani = table.Column<string>(nullable: true),
                    RokNapsani = table.Column<int>(nullable: true),
                    AutorId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Aktualita", x => x.AktualitaId);
                    table.ForeignKey(
                        name: "FK_Aktualita_Uzivatel_AutorId",
                        column: x => x.AutorId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "AspNetUserClaims",
                columns: table => new
                {
                    Id = table.Column<int>(nullable: false)
                        .Annotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn),
                    UserId = table.Column<Guid>(nullable: false),
                    ClaimType = table.Column<string>(nullable: true),
                    ClaimValue = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserClaims", x => x.Id);
                    table.ForeignKey(
                        name: "FK_AspNetUserClaims_Uzivatel_UserId",
                        column: x => x.UserId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "AspNetUserLogins",
                columns: table => new
                {
                    LoginProvider = table.Column<string>(maxLength: 128, nullable: false),
                    ProviderKey = table.Column<string>(maxLength: 128, nullable: false),
                    ProviderDisplayName = table.Column<string>(nullable: true),
                    UserId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserLogins", x => new { x.LoginProvider, x.ProviderKey });
                    table.ForeignKey(
                        name: "FK_AspNetUserLogins_Uzivatel_UserId",
                        column: x => x.UserId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "AspNetUserRoles",
                columns: table => new
                {
                    UserId = table.Column<Guid>(nullable: false),
                    RoleId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserRoles", x => new { x.UserId, x.RoleId });
                    table.ForeignKey(
                        name: "FK_AspNetUserRoles_AspNetRoles_RoleId",
                        column: x => x.RoleId,
                        principalTable: "AspNetRoles",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_AspNetUserRoles_Uzivatel_UserId",
                        column: x => x.UserId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "AspNetUserTokens",
                columns: table => new
                {
                    UserId = table.Column<Guid>(nullable: false),
                    LoginProvider = table.Column<string>(maxLength: 128, nullable: false),
                    Name = table.Column<string>(maxLength: 128, nullable: false),
                    Value = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AspNetUserTokens", x => new { x.UserId, x.LoginProvider, x.Name });
                    table.ForeignKey(
                        name: "FK_AspNetUserTokens_Uzivatel_UserId",
                        column: x => x.UserId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "Clen",
                columns: table => new
                {
                    ClenId = table.Column<Guid>(nullable: false),
                    KrestniJmeno = table.Column<string>(nullable: false),
                    Prijmeni = table.Column<string>(nullable: false),
                    SpravceId = table.Column<Guid>(nullable: false),
                    Prihlasen = table.Column<bool>(nullable: false),
                    DruzinaId = table.Column<int>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Clen", x => x.ClenId);
                    table.ForeignKey(
                        name: "FK_Clen_Druzina_DruzinaId",
                        column: x => x.DruzinaId,
                        principalTable: "Druzina",
                        principalColumn: "DruzinaId",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_Clen_Uzivatel_SpravceId",
                        column: x => x.SpravceId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "PovolenaDruzina",
                columns: table => new
                {
                    PovolenaDruzinaId = table.Column<Guid>(nullable: false),
                    DruzinaId = table.Column<int>(nullable: false),
                    AkceId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PovolenaDruzina", x => x.PovolenaDruzinaId);
                    table.ForeignKey(
                        name: "FK_PovolenaDruzina_Akce_AkceId",
                        column: x => x.AkceId,
                        principalTable: "Akce",
                        principalColumn: "AkceId",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_PovolenaDruzina_Druzina_DruzinaId",
                        column: x => x.DruzinaId,
                        principalTable: "Druzina",
                        principalColumn: "DruzinaId",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "PrihlaseniNaAkciUzivatel",
                columns: table => new
                {
                    PrihlaseniNaAkciUzivatelId = table.Column<Guid>(nullable: false),
                    AkceId = table.Column<Guid>(nullable: false),
                    UzivatelId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PrihlaseniNaAkciUzivatel", x => x.PrihlaseniNaAkciUzivatelId);
                    table.ForeignKey(
                        name: "FK_PrihlaseniNaAkciUzivatel_Akce_AkceId",
                        column: x => x.AkceId,
                        principalTable: "Akce",
                        principalColumn: "AkceId",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_PrihlaseniNaAkciUzivatel_Uzivatel_UzivatelId",
                        column: x => x.UzivatelId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "PrihlaseniArchiv",
                columns: table => new
                {
                    PrihlaseniArchivId = table.Column<Guid>(nullable: false),
                    AkceId = table.Column<Guid>(nullable: false),
                    ClenArchivId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PrihlaseniArchiv", x => x.PrihlaseniArchivId);
                    table.ForeignKey(
                        name: "FK_PrihlaseniArchiv_Akce_AkceId",
                        column: x => x.AkceId,
                        principalTable: "Akce",
                        principalColumn: "AkceId",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_PrihlaseniArchiv_Clen_ClenArchivId",
                        column: x => x.ClenArchivId,
                        principalTable: "Clen",
                        principalColumn: "ClenId",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "PrihlaseniNaAkciClen",
                columns: table => new
                {
                    PrihlaseniNaAkciClenId = table.Column<Guid>(nullable: false),
                    AkceId = table.Column<Guid>(nullable: false),
                    ClenId = table.Column<Guid>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PrihlaseniNaAkciClen", x => x.PrihlaseniNaAkciClenId);
                    table.ForeignKey(
                        name: "FK_PrihlaseniNaAkciClen_Akce_AkceId",
                        column: x => x.AkceId,
                        principalTable: "Akce",
                        principalColumn: "AkceId",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_PrihlaseniNaAkciClen_Clen_ClenId",
                        column: x => x.ClenId,
                        principalTable: "Clen",
                        principalColumn: "ClenId",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_Akce_AutorId",
                table: "Akce",
                column: "AutorId");

            migrationBuilder.CreateIndex(
                name: "IX_AkceArchiv_AutorId",
                table: "AkceArchiv",
                column: "AutorId");

            migrationBuilder.CreateIndex(
                name: "IX_Aktualita_AutorId",
                table: "Aktualita",
                column: "AutorId");

            migrationBuilder.CreateIndex(
                name: "IX_AspNetRoleClaims_RoleId",
                table: "AspNetRoleClaims",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "RoleNameIndex",
                table: "AspNetRoles",
                column: "NormalizedName",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_AspNetUserClaims_UserId",
                table: "AspNetUserClaims",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IX_AspNetUserLogins_UserId",
                table: "AspNetUserLogins",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IX_AspNetUserRoles_RoleId",
                table: "AspNetUserRoles",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "IX_Clen_DruzinaId",
                table: "Clen",
                column: "DruzinaId");

            migrationBuilder.CreateIndex(
                name: "IX_Clen_SpravceId",
                table: "Clen",
                column: "SpravceId");

            migrationBuilder.CreateIndex(
                name: "IX_PovolenaDruzina_AkceId",
                table: "PovolenaDruzina",
                column: "AkceId");

            migrationBuilder.CreateIndex(
                name: "IX_PovolenaDruzina_DruzinaId",
                table: "PovolenaDruzina",
                column: "DruzinaId");

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniArchiv_AkceId",
                table: "PrihlaseniArchiv",
                column: "AkceId");

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniArchiv_ClenArchivId",
                table: "PrihlaseniArchiv",
                column: "ClenArchivId");

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniNaAkciClen_AkceId",
                table: "PrihlaseniNaAkciClen",
                column: "AkceId");

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniNaAkciClen_ClenId",
                table: "PrihlaseniNaAkciClen",
                column: "ClenId");

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniNaAkciUzivatel_AkceId",
                table: "PrihlaseniNaAkciUzivatel",
                column: "AkceId");

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniNaAkciUzivatel_UzivatelId",
                table: "PrihlaseniNaAkciUzivatel",
                column: "UzivatelId");

            migrationBuilder.CreateIndex(
                name: "IX_Uzivatel_DruzinaId",
                table: "Uzivatel",
                column: "DruzinaId");

            migrationBuilder.CreateIndex(
                name: "EmailIndex",
                table: "Uzivatel",
                column: "NormalizedEmail");

            migrationBuilder.CreateIndex(
                name: "UserNameIndex",
                table: "Uzivatel",
                column: "NormalizedUserName",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Uzivatel_RoleId",
                table: "Uzivatel",
                column: "RoleId");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "AkceArchiv");

            migrationBuilder.DropTable(
                name: "Aktualita");

            migrationBuilder.DropTable(
                name: "AspNetRoleClaims");

            migrationBuilder.DropTable(
                name: "AspNetUserClaims");

            migrationBuilder.DropTable(
                name: "AspNetUserLogins");

            migrationBuilder.DropTable(
                name: "AspNetUserRoles");

            migrationBuilder.DropTable(
                name: "AspNetUserTokens");

            migrationBuilder.DropTable(
                name: "ClenArchiv");

            migrationBuilder.DropTable(
                name: "PovolenaDruzina");

            migrationBuilder.DropTable(
                name: "PrihlaseniArchiv");

            migrationBuilder.DropTable(
                name: "PrihlaseniNaAkciClen");

            migrationBuilder.DropTable(
                name: "PrihlaseniNaAkciUzivatel");

            migrationBuilder.DropTable(
                name: "AspNetRoles");

            migrationBuilder.DropTable(
                name: "Clen");

            migrationBuilder.DropTable(
                name: "Akce");

            migrationBuilder.DropTable(
                name: "Uzivatel");

            migrationBuilder.DropTable(
                name: "Druzina");

            migrationBuilder.DropTable(
                name: "Role");
        }
    }
}
