﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ModrinkyWebApp.Migrations
{
    public partial class znovaneco : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PrihlaseniArchiv_Akce_AkceId",
                table: "PrihlaseniArchiv");

            migrationBuilder.DropIndex(
                name: "IX_PrihlaseniArchiv_AkceId",
                table: "PrihlaseniArchiv");

            migrationBuilder.DropColumn(
                name: "AkceId",
                table: "PrihlaseniArchiv");

            migrationBuilder.AddColumn<Guid>(
                name: "AkceArchivId",
                table: "PrihlaseniArchiv",
                nullable: false,
                defaultValue: new Guid("00000000-0000-0000-0000-000000000000"));

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniArchiv_AkceArchivId",
                table: "PrihlaseniArchiv",
                column: "AkceArchivId");

            migrationBuilder.AddForeignKey(
                name: "FK_PrihlaseniArchiv_AkceArchiv_AkceArchivId",
                table: "PrihlaseniArchiv",
                column: "AkceArchivId",
                principalTable: "AkceArchiv",
                principalColumn: "AkceArchivId",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PrihlaseniArchiv_AkceArchiv_AkceArchivId",
                table: "PrihlaseniArchiv");

            migrationBuilder.DropIndex(
                name: "IX_PrihlaseniArchiv_AkceArchivId",
                table: "PrihlaseniArchiv");

            migrationBuilder.DropColumn(
                name: "AkceArchivId",
                table: "PrihlaseniArchiv");

            migrationBuilder.AddColumn<Guid>(
                name: "AkceId",
                table: "PrihlaseniArchiv",
                type: "uuid",
                nullable: false,
                defaultValue: new Guid("00000000-0000-0000-0000-000000000000"));

            migrationBuilder.CreateIndex(
                name: "IX_PrihlaseniArchiv_AkceId",
                table: "PrihlaseniArchiv",
                column: "AkceId");

            migrationBuilder.AddForeignKey(
                name: "FK_PrihlaseniArchiv_Akce_AkceId",
                table: "PrihlaseniArchiv",
                column: "AkceId",
                principalTable: "Akce",
                principalColumn: "AkceId",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
