﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ModrinkyWebApp.Models
{
    public class Akce
    {
        public Guid AkceId { get; set; }

        [Required(ErrorMessage = "Akce musí mít název")]
        [StringLength(100)]
        public string Nazev { get; set; }

        [Required(ErrorMessage = "Akce musí mít základní popis")]
        [StringLength(500)]
        public string KratkyPopis { get; set; }

        [Required(ErrorMessage = "Akce musí mít popis")]
        [StringLength(10000)]
        public string DlouhyPopis { get; set; }

        [Required(ErrorMessage = "Zadejte den konání akce")]
        public int DenKonani { get; set; }

        [Required(ErrorMessage = "Zadejte měsíc konání akce")]
        public string MesicKonani { get; set; }

        [Required(ErrorMessage = "Zadejte rok konání akce")]
        public int RokKonani { get; set; }
        public string Stitek { get; set; }

        [ForeignKey(nameof(Uzivatel))]
        public Guid AutorId { get; set; }
        public Uzivatel Uzivatel { get; set; }
        public List<PovolenaDruzina> PovoleneDruziny { get; set; }
        public bool ArchivniAkce { get; set; }
    }
}


