﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models
{
    public class Aktualita
    {
        public Guid AktualitaId { get; set; }

        [Required(ErrorMessage = "Aktualita musí mít název")]
        [StringLength(100, ErrorMessage = "Název aktuality je příliš dlouhý, maximální povolená délka je {1} znaků")]
        public string Nazev { get; set; }

        [Required(ErrorMessage = "Aktualita musí mít text")]
        [StringLength(1000, ErrorMessage = "Text aktuality je příliš dlouhý, maximální povolená délka je {1} znaků")]
        public string Text { get; set; }
        public DateTime Datum { get; set; }
        
        [ForeignKey(nameof(Uzivatel))]

        public Guid AutorId { get; set; }

        public Uzivatel Uzivatel { get; set; }
    }
}
