﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models
{
    public class Clen
    {
        public Guid ClenId { get; set; }

        [Required(ErrorMessage = "Člen musí mít jméno")]
        [StringLength(25, ErrorMessage = "Jméno může být dlouhé maximálně {1} znaků.")]
        public string KrestniJmeno { get; set; }

        [Required(ErrorMessage = "Člen musí mít příjmení")]
        [StringLength(25, ErrorMessage = "Příjmení může být dlouhé maximálně {1} znaků.")]
        public string Prijmeni { get; set; }

        [ForeignKey(nameof(Uzivatel))]
        public Guid SpravceId { get; set; }
        public Uzivatel Uzivatel { get; set; }
        public bool Prihlasen { get; set; } = false;

        [ForeignKey(nameof(Druzina))]
        public int? DruzinaId { get; set; }
        public Druzina Druzina { get; set; }

    }
}
