﻿using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;
using System;

namespace ModrinkyWebApp.Models
{
    public class ModrinkyDbContext : IdentityDbContext<Uzivatel, IdentityRole<Guid>, Guid>
    {
        public ModrinkyDbContext(DbContextOptions<ModrinkyDbContext> options) : base(options)
        {
        }

        //pro oznaceni tabulky pro uzivatele jako "Uzivatel"
        protected override void OnModelCreating(ModelBuilder builder)
        {
            base.OnModelCreating(builder);
            builder.Entity<Uzivatel>().ToTable("Uzivatel");
        }

        public DbSet<Akce> Akce { get; set; }

        public DbSet<Aktualita> Aktualita { get; set; }
        public DbSet<ClenArchiv> ClenArchiv { get; set; }
        public DbSet<Uzivatel> Uzivatel { get; set; }

        public DbSet<Druzina> Druzina { get; set; }
        public DbSet<Clen> Clen { get; set; }

        public DbSet<Role> Role { get; set; }

        public DbSet<PovolenaDruzina> PovolenaDruzina { get; set; }

        public DbSet<PrihlaseniNaAkciClen> PrihlaseniNaAkciClen { get; set; }
        public DbSet<PrihlaseniNaAkciUzivatel> PrihlaseniNaAkciUzivatel { get; set; }
        public DbSet<PrihlaseniArchiv> PrihlaseniArchiv { get; set; }
    }
}