﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class AkceRepository : IAkceRepository
    {
        private readonly ModrinkyDbContext dbContext;

        public AkceRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }
        public List<Akce> VsechnyAkce()
        {
            return dbContext.Akce.Where(x => x.ArchivniAkce == false).ToList();
        }


        public Akce AkcePodleId(Guid akceId)
        {
            return dbContext.Akce.Include(x => x.PovoleneDruziny).FirstOrDefault(a => a.AkceId == akceId);
        }
        public void EditaceAkce(Akce akce)
        {
            Akce pom = AkcePodleId(akce.AkceId);

            pom.Nazev = akce.Nazev;
            pom.KratkyPopis = akce.KratkyPopis;
            pom.DlouhyPopis = akce.DlouhyPopis;
            pom.Stitek = akce.Stitek;
            pom.DenKonani = akce.DenKonani;
            pom.MesicKonani = akce.MesicKonani;
            pom.RokKonani = akce.RokKonani;
            

        }

        public void OdebratAkci(Guid akceId)
        {
            var akceVymazani = AkcePodleId(akceId);
            foreach (var p in dbContext.PovolenaDruzina)
            {
                if (p.AkceId == akceVymazani.AkceId)
                {
                    dbContext.PovolenaDruzina.Remove(p);
                }
            }
            dbContext.Akce.Remove(akceVymazani);
        }

        public void PridatAkci(Akce akce)
        {
            akce.ArchivniAkce = false;
            dbContext.Akce.Add(akce);
        }

       
        public List<Akce> VsechnyArchivniAkce()
        {
            return dbContext.Akce.Where(x => x.ArchivniAkce == true).ToList();

        }

    }
}
