﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class AktualitaRepository : IAktualitaRepository
    {
        private readonly ModrinkyDbContext dbContext;

        public AktualitaRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }
        public Aktualita AktualitaPodleId(Guid aktualitaId)
        {
            return dbContext.Aktualita.FirstOrDefault(a => a.AktualitaId == aktualitaId);
        }

        public void EditaceAktuality(Aktualita aktualita)
        {

            Aktualita pom = AktualitaPodleId(aktualita.AktualitaId);
            pom.Nazev = aktualita.Nazev;
            pom.Text = aktualita.Text;
            aktualita = pom;
            dbContext.Aktualita.Update(aktualita);
        }

        public void OdebratAktuality(Guid id)
        {
            var aktualitaVymazani = AktualitaPodleId(id);
            dbContext.Aktualita.Remove(aktualitaVymazani);
        
        }

        public void PridatAktualitu(Aktualita aktualita)
        {
            
            aktualita.Datum = DateTime.Now;
            dbContext.Aktualita.Add(aktualita);


        }

        public IEnumerable<Aktualita> VsechnyAktuality()
        {
            return dbContext.Aktualita.ToList();
        }
    }
}
