﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class ClenRepository : IClenRepository
    {
        private readonly ModrinkyDbContext dbContext;
        public ClenRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }

        public List<Clen> VsichniClenove()
        {
            return dbContext.Clen.ToList();
        }

        public List<Clen> ClenoveUzivatele(Guid uzivatelId)
        {
            return dbContext.Clen.Where(x => x.SpravceId == uzivatelId).ToList();
        }

        public Clen ClenPodleId(Guid clenId)
        {
            return dbContext.Clen.FirstOrDefault(c => c.ClenId == clenId);
        }

        public void EditaceClena(Clen clen)
        {
            Clen pom = ClenPodleId(clen.ClenId);
            pom.KrestniJmeno = clen.KrestniJmeno;
            pom.Prijmeni = clen.Prijmeni;
            pom.ClenId = clen.ClenId;
            pom.DruzinaId = clen.DruzinaId;
            pom.SpravceId = clen.SpravceId;

            clen = pom;
            dbContext.Clen.Update(clen);
        }

        public void OdebraniClena(Clen clen)
        {
            var clenVymazani = ClenPodleId(clen.ClenId);
            dbContext.Clen.Remove(clenVymazani);
        }

        public void PridaniClena(Clen clen)
        {
            dbContext.Clen.Add(clen);
        }

       
    }
}
