﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class PovolenaDruzinaRepository : IPovolenaDruzinaRepository
    {
        private readonly ModrinkyDbContext dbContext;

        public PovolenaDruzinaRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }
        public void OdebraniPovoleneDruziny(Guid povolenaDruzinaId)
        {
            PovolenaDruzina povolenaDruzinaKSmazani = PovoleneDruzinyPodleId(povolenaDruzinaId);
            dbContext.PovolenaDruzina.Remove(povolenaDruzinaKSmazani);
        }

        public PovolenaDruzina PovoleneDruzinyPodleId(Guid povolenaDruzinaId)
        {
            return dbContext.PovolenaDruzina.FirstOrDefault(p => p.PovolenaDruzinaId == povolenaDruzinaId);
        }


        public void PridaniPovoleneDruziny(PovolenaDruzina povolenaDruzina)
        {
            dbContext.PovolenaDruzina.Add(povolenaDruzina);
        }

        public IEnumerable<PovolenaDruzina> VsechnyPovoleneDruziny()
        {
            return dbContext.PovolenaDruzina.ToList();
        }

        public void VymazPovoleneDruzinyProAkci(Guid akceId)
        {
            dbContext.PovolenaDruzina.RemoveRange(dbContext.PovolenaDruzina.Where(x => x.AkceId == akceId));
        }
    }
}
