﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class PrihlaseniNaAkciClenRepository : IPrihlaseniNaAkciClenRepository
    {
        private readonly ModrinkyDbContext dbContext;
        public PrihlaseniNaAkciClenRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }
        public IEnumerable<PrihlaseniNaAkciClen> PrihlaseniNaAkciClen(Guid id)
        {
            return dbContext.PrihlaseniNaAkciClen.Where(x => x.ClenId == id).ToList();
        }
        public IEnumerable<PrihlaseniNaAkciClen> VsechnaPrihlaseniNaAkci()
        {
            return dbContext.PrihlaseniNaAkciClen.ToList();
        }
        public IEnumerable<PrihlaseniNaAkciClen> PrihlaseniNaAkci(Guid id)
        {
            return dbContext.PrihlaseniNaAkciClen.Where(x => x.ClenId == id).ToList();
        }

        public void PridaniPrihlaseni(PrihlaseniNaAkciClen prihlaseni)
        {
            dbContext.PrihlaseniNaAkciClen.Add(prihlaseni);

        }
        public void OdebraniPrihlaseni(PrihlaseniNaAkciClen prihlaseni)
        {
            dbContext.PrihlaseniNaAkciClen.Remove(prihlaseni);

        }

        public void OdebraniPrihlaseni(Guid id)
        {
            dbContext.PrihlaseniNaAkciClen.Remove(PrihlaseniNaAkciPodleId(id));
        }

        public PrihlaseniNaAkciClen PrihlaseniNaAkciPodleId(Guid id)
        {
            return VsechnaPrihlaseniNaAkci().Where(x => x.PrihlaseniNaAkciClenId == id).FirstOrDefault();
        }

       
    }
}
