﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class PrihlaseniNaAkciUzivatelRepository : IPrihlaseniNaAkciUzivatelRepository
    {
        private readonly ModrinkyDbContext dbContext;
        public PrihlaseniNaAkciUzivatelRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }
        public IEnumerable<PrihlaseniNaAkciUzivatel> PrihlaseniNaAkciUzivatele(Guid id)
        {
            return dbContext.PrihlaseniNaAkciUzivatel.Where(x => x.UzivatelId == id).ToList();
        }
        public IEnumerable<PrihlaseniNaAkciUzivatel> VsechnaPrihlaseniNaAkci()
        {
            return dbContext.PrihlaseniNaAkciUzivatel.ToList();
        }
        public IEnumerable<PrihlaseniNaAkciUzivatel> PrihlaseniNaAkci(Guid id)
        {
            return dbContext.PrihlaseniNaAkciUzivatel.Where(x => x.UzivatelId == id);
        }

        public void PridaniPrihlaseni(PrihlaseniNaAkciUzivatel prihlaseni)
        {
            dbContext.PrihlaseniNaAkciUzivatel.Add(prihlaseni);
        }
        public void OdebraniPrihlaseni(PrihlaseniNaAkciUzivatel prihlaseni)
        {
            dbContext.PrihlaseniNaAkciUzivatel.Remove(prihlaseni);
        }
        public void OdebraniPrihlaseni(Guid id)
        {
            dbContext.PrihlaseniNaAkciUzivatel.Remove(PrihlaseniNaAkciPodleId(id));
        }

        public PrihlaseniNaAkciUzivatel PrihlaseniNaAkciPodleId(Guid id)
        {
            return VsechnaPrihlaseniNaAkci().Where(x => x.PrihlaseniNaAkciUzivatelId == id).FirstOrDefault();
        }
       
    }
}
