﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class UnitOfWork : IUnitOfWork
    {
        private readonly ModrinkyDbContext dbContext;
        public IAkceRepository AkceRepository { get; set; }
        public IAktualitaRepository AktualitaRepository { get; set; }
        public IClenArchivRepository ClenArchivRepository { get; set; }
        public IClenRepository ClenRepository { get; set; }
        public IDruzinaRepository DruzinaRepository { get; set; }
        public IPovolenaDruzinaRepository PovolenaDruzinaRepository { get; set; }
        public IPrihlaseniArchivRepository PrihlaseniArchivRepository { get; set; }
        public IPrihlaseniNaAkciClenRepository PrihlaseniNaAkciClenRepository { get; set; }
        public IPrihlaseniNaAkciUzivatelRepository PrihlaseniNaAkciUzivatelRepository { get; set; }
        public IRoleRepository RoleRepository { get; set; }
        public IUzivatelRepository UzivatelRepository { get; set; }
        public UnitOfWork(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
            this.AkceRepository = new AkceRepository(dbContext);

            this.AktualitaRepository = new AktualitaRepository(dbContext);
            this.ClenRepository = new ClenRepository(dbContext);
            this.ClenArchivRepository = new ClenArchivRepository(dbContext);

            this.DruzinaRepository = new DruzinaRepository(dbContext);
            this.PovolenaDruzinaRepository = new PovolenaDruzinaRepository(dbContext);
            this.PrihlaseniNaAkciClenRepository = new PrihlaseniNaAkciClenRepository(dbContext);
            this.PrihlaseniArchivRepository = new PrihlaseniArchivRepository(dbContext);
            this.PrihlaseniNaAkciUzivatelRepository = new PrihlaseniNaAkciUzivatelRepository(dbContext);
            this.RoleRepository = new RoleRepository(dbContext);
            this.UzivatelRepository = new UzivatelRepository(dbContext);
        }
        public void Commit()
        {
            dbContext.SaveChanges();
        }
    }
}
