﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class UzivatelRepository : IUzivatelRepository
    {
        private readonly ModrinkyDbContext dbContext;

        public UzivatelRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }
        public Uzivatel UzivatelPodleId(Guid? uzivatelId)
        {
            return dbContext.Uzivatel.FirstOrDefault(a => a.Id == uzivatelId);
        }

        public IEnumerable<Uzivatel> VsichniUzivatele()
        {
            return dbContext.Uzivatel.ToList();
        }
        public void OdebraniUzivatele(Guid uzivatelId)
        {
            var uzivatelVymazani = UzivatelPodleId(uzivatelId);
            foreach (var u in dbContext.Clen)
            {
                if (u.SpravceId == uzivatelId)
                {
                    dbContext.Clen.Remove(u);

                }
            }
            dbContext.Uzivatel.Remove(uzivatelVymazani);
        }
        public void EditaceUzivatele(Uzivatel uzivatel)
        {
           

            Uzivatel pom = UzivatelPodleId(uzivatel.Id);
            
            pom.KrestniJmeno = uzivatel.KrestniJmeno;
            pom.Prijmeni = uzivatel.Prijmeni;
            pom.RoleId = uzivatel.RoleId;
            pom.DruzinaId = uzivatel.DruzinaId;

        }
    }
}
