﻿using Microsoft.AspNetCore.Identity;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;


namespace ModrinkyWebApp.Models
{
    public class Uzivatel : IdentityUser<Guid>
    {

        [Required(ErrorMessage = "Vyplnění jména je vyžadováno")]
        [StringLength(25)]
        public string KrestniJmeno { get; set; }

        [Required(ErrorMessage = "Vyplnění příjmení je vyžadováno")]
        [StringLength(25)]
        public string Prijmeni { get; set; }

        [ForeignKey(nameof(Role))]
        public int RoleId { get; set; }
        public Role Role { get; set; }

        [ForeignKey(nameof(Druzina))]
        public int? DruzinaId { get; set; }
        public Druzina Druzina { get; set; }

    }
}
