﻿using Microsoft.AspNetCore.Mvc;
using ModrinkyWebApp.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.ViewModels
{
    public class UserViewModel
    {
        [BindProperty]
        public InputModel Input { get; set; }

        public class InputModel
        {
            [Required]
            [StringLength(100, ErrorMessage = "Heslo může být dlouhé maximálně {1} a minimálně {2} znaků.", MinimumLength = 6)]
            [DataType(DataType.Password, ErrorMessage = "Špatný formát hesla.")]
            [Display(Name = "Heslo")]
            public string Password { get; set; }

            [DataType(DataType.Password, ErrorMessage = "Špatný formát hesla.")]
            [Display(Name = "Potvrzení hesla")]
            [Compare("Password", ErrorMessage = "Zadaná hesla se neshodují")]
            public string ConfirmPassword { get; set; }
        }
        public Uzivatel Uzivatel { get; set; }
        public List<Druzina> Druziny { get; set; }
        public List<PrihlaseniNaAkciUzivatel> PrihlaseniNaAkciUzivatel { get; set; }
        public List<PrihlaseniNaAkciClen> PrihlaseniNaAkciClen { get; set; }
        public List<Akce> Akce { get; set; }
        public Role Role { get; set; }
        public List<Clen> Clenove { get; set; }
    }
}
